export declare class PineRequest {
    private context;
    private _cache;
    constructor(context: any);
    param(source: any, index: any, name?: string): any[];
    security(symbol: any, timeframe: any, expression: any, gaps?: boolean, lookahead?: boolean, ignore_invalid_symbol?: boolean, currency?: any, calc_bars_count?: any): Promise<any>;
    private _findSecContextIdx;
}
